#!/usr/bin/env node
/* eslint no-console:0 */
const ncp = require('copy-paste')

const appFactory = require('./server')

const PORT = 8000

const address = '127.0.0.1'

appFactory({address}).listen(PORT, () => {
  const scriptToExecute = `(function(s,o,g,r,a,m){a=s.createElement(o),m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)})(document,'script','http://${address}:${PORT}/bundle.js');`
  ncp.copy(scriptToExecute)
  console.log(
    `
✅  Rubik compiled in development mode ⚙️!
Steps to use it:
1️⃣  Open the url where you want to inject the library
2️⃣  Paste the next javascript code in your console and press Enter (it's already in your clipboard 📋):
${scriptToExecute}
💡 You could save the snippet as a bookmark in case you want to improve your development cycle. Just be sure you're always using the same PORT.
`
  )
})
